/*	Copyright (C) 2018-2024 Martin Guy <martinwguy@gmail.com>
 *
 *	This program is free software; you can redistribute it and/or modify
 *	it under the terms of the GNU General Public License version 3
 *	as published by the Free Software Foundation.
 *
 *	This program is distributed in the hope that it will be useful,
 *	but WITHOUT ANY WARRANTY; without even the implied warranty of
 *	MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 *	GNU General Public License for more details.
 *
 *	You should have received a copy of the GNU General Public License
 *	along with this program; if not, write to the Free Software
 *	Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
 */

/* caca_text.h: Declarations for caca_text.c */

#if HAVE_LIBCACA

#include "text.h"	/* for alignment_t */

extern bool caca_init(void);
extern int caca_text_width(const char *text);
extern int caca_text_height(const char *text);
extern void caca_draw_text(const char *text, int at_x, int at_y,
			   alignment_t alignment_x, alignment_t alignment_y);
#endif
